/*
 *  tuntun-applet.vala is a part of Tuntun
 *
 *  Tuntun: a simple applet to manage OpenVPN connections
 *
 *  Copyright (C) 2008  Andrea Del Signore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 *  Author:
 *     Andrea Del Signore <sejerpz@tin.it>       
 */

#ifndef __TUNTUN_APPLET_H__
#define __TUNTUN_APPLET_H__

#include <glib.h>
#include <glib-object.h>
#include <panel-applet.h>
#include <stdlib.h>
#include <string.h>

G_BEGIN_DECLS


#define TUNTUN_TYPE_PANEL_APPLET (tuntun_panel_applet_get_type ())
#define TUNTUN_PANEL_APPLET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TUNTUN_TYPE_PANEL_APPLET, TuntunPanelApplet))
#define TUNTUN_PANEL_APPLET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TUNTUN_TYPE_PANEL_APPLET, TuntunPanelAppletClass))
#define TUNTUN_IS_PANEL_APPLET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TUNTUN_TYPE_PANEL_APPLET))
#define TUNTUN_IS_PANEL_APPLET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TUNTUN_TYPE_PANEL_APPLET))
#define TUNTUN_PANEL_APPLET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TUNTUN_TYPE_PANEL_APPLET, TuntunPanelAppletClass))

typedef struct _TuntunPanelApplet TuntunPanelApplet;
typedef struct _TuntunPanelAppletClass TuntunPanelAppletClass;
typedef struct _TuntunPanelAppletPrivate TuntunPanelAppletPrivate;

struct _TuntunPanelApplet {
	PanelApplet parent_instance;
	TuntunPanelAppletPrivate * priv;
};

struct _TuntunPanelAppletClass {
	PanelAppletClass parent_class;
};


TuntunPanelApplet* tuntun_panel_applet_new (void);
gint tuntun_panel_applet_main (char** args, int args_length1);
GType tuntun_panel_applet_get_type (void);


G_END_DECLS

#endif
