/*
 *  tuntun-auth-dialog.vala is a part of Tuntun
 *
 *  Tuntun: a simple applet to manage OpenVPN connections
 *
 *  Copyright (C) 2008  Andrea Del Signore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 *  Author:
 *     Andrea Del Signore <sejerpz@tin.it>       
 */

#ifndef __TUNTUN_AUTH_DIALOG_H__
#define __TUNTUN_AUTH_DIALOG_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include "tuntun-connection.h"

G_BEGIN_DECLS


#define TUNTUN_TYPE_AUTH_STEPS (tuntun_auth_steps_get_type ())

#define TUNTUN_TYPE_AUTH_DIALOG (tuntun_auth_dialog_get_type ())
#define TUNTUN_AUTH_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TUNTUN_TYPE_AUTH_DIALOG, TuntunAuthDialog))
#define TUNTUN_AUTH_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TUNTUN_TYPE_AUTH_DIALOG, TuntunAuthDialogClass))
#define TUNTUN_IS_AUTH_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TUNTUN_TYPE_AUTH_DIALOG))
#define TUNTUN_IS_AUTH_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TUNTUN_TYPE_AUTH_DIALOG))
#define TUNTUN_AUTH_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TUNTUN_TYPE_AUTH_DIALOG, TuntunAuthDialogClass))

typedef struct _TuntunAuthDialog TuntunAuthDialog;
typedef struct _TuntunAuthDialogClass TuntunAuthDialogClass;
typedef struct _TuntunAuthDialogPrivate TuntunAuthDialogPrivate;

typedef enum  {
	TUNTUN_AUTH_STEPS_KEYRING,
	TUNTUN_AUTH_STEPS_DIALOG
} TuntunAuthSteps;

struct _TuntunAuthDialog {
	GtkWindow parent_instance;
	TuntunAuthDialogPrivate * priv;
};

struct _TuntunAuthDialogClass {
	GtkWindowClass parent_class;
};


GType tuntun_auth_steps_get_type (void);
TuntunAuthDialog* tuntun_auth_dialog_new (TuntunConnection* connection, TuntunAuthenticationModes mode, const char* type);
void tuntun_auth_dialog_authenticate (TuntunAuthDialog* self);
GType tuntun_auth_dialog_get_type (void);


G_END_DECLS

#endif
