/*
 *  tuntun-connections-dialog.vala is a part of Tuntun
 *
 *  Tuntun: a simple applet to manage OpenVPN connections
 *
 *  Copyright (C) 2008  Andrea Del Signore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 *  Author:
 *     Andrea Del Signore <sejerpz@tin.it>       
 */

#ifndef __TUNTUN_CONNECTIONS_DIALOG_H__
#define __TUNTUN_CONNECTIONS_DIALOG_H__

#include <glib.h>
#include <glib-object.h>
#include "tuntun.h"

G_BEGIN_DECLS


#define TUNTUN_TYPE_CONNECTIONS_DIALOG (tuntun_connections_dialog_get_type ())
#define TUNTUN_CONNECTIONS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TUNTUN_TYPE_CONNECTIONS_DIALOG, TuntunConnectionsDialog))
#define TUNTUN_CONNECTIONS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TUNTUN_TYPE_CONNECTIONS_DIALOG, TuntunConnectionsDialogClass))
#define TUNTUN_IS_CONNECTIONS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TUNTUN_TYPE_CONNECTIONS_DIALOG))
#define TUNTUN_IS_CONNECTIONS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TUNTUN_TYPE_CONNECTIONS_DIALOG))
#define TUNTUN_CONNECTIONS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TUNTUN_TYPE_CONNECTIONS_DIALOG, TuntunConnectionsDialogClass))

typedef struct _TuntunConnectionsDialog TuntunConnectionsDialog;
typedef struct _TuntunConnectionsDialogClass TuntunConnectionsDialogClass;
typedef struct _TuntunConnectionsDialogPrivate TuntunConnectionsDialogPrivate;

struct _TuntunConnectionsDialog {
	GObject parent_instance;
	TuntunConnectionsDialogPrivate * priv;
};

struct _TuntunConnectionsDialogClass {
	GObjectClass parent_class;
};


TuntunConnectionsDialog* tuntun_connections_dialog_new (TuntunTuntun* tuntun);
void tuntun_connections_dialog_show (TuntunConnectionsDialog* self);
GType tuntun_connections_dialog_get_type (void);


G_END_DECLS

#endif
