/*
 *  tuntun-utils.vala is a part of Tuntun
 *
 *  Tuntun: a simple applet to manage OpenVPN connections
 *
 *  Copyright (C) 2008  Andrea Del Signore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 *  Author:
 *     Andrea Del Signore <sejerpz@tin.it>       
 */

#ifndef __TUNTUN_UTILS_H__
#define __TUNTUN_UTILS_H__

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS


#define TUNTUN_TYPE_UTILS (tuntun_utils_get_type ())
#define TUNTUN_UTILS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TUNTUN_TYPE_UTILS, TuntunUtils))
#define TUNTUN_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TUNTUN_TYPE_UTILS, TuntunUtilsClass))
#define TUNTUN_IS_UTILS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TUNTUN_TYPE_UTILS))
#define TUNTUN_IS_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TUNTUN_TYPE_UTILS))
#define TUNTUN_UTILS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TUNTUN_TYPE_UTILS, TuntunUtilsClass))

typedef struct _TuntunUtils TuntunUtils;
typedef struct _TuntunUtilsClass TuntunUtilsClass;
typedef struct _TuntunUtilsPrivate TuntunUtilsPrivate;

struct _TuntunUtils {
	GTypeInstance parent_instance;
	volatile int ref_count;
	TuntunUtilsPrivate * priv;
};

struct _TuntunUtilsClass {
	GTypeClass parent_class;
	void (*finalize) (TuntunUtils *self);
};


char* tuntun_utils_gnome_util_home_file (const char* afile);
char* tuntun_utils_get_image_path (const char* id);
char* tuntun_utils_get_ui_path (const char* id);
GtkBuilder* tuntun_utils_get_ui (void);
void tuntun_utils_display_error (const char* function, const char* message);
TuntunUtils* tuntun_utils_new (void);
GType tuntun_utils_get_type (void);
gpointer tuntun_utils_ref (gpointer instance);
void tuntun_utils_unref (gpointer instance);


G_END_DECLS

#endif
